#coding: utf-8

import psutil
import time

DEFAULT_INTERVAL = 15

def emit(channel, info):
    channel.put(info)


def collect(feed, config=None):
    if not config:
        config = {}

    interval = config.get('interval', DEFAULT_INTERVAL)

    while True:
        virt_mem = psutil.virtual_memory()
        swap_mem = psutil.swap_memory()

        emit(feed, ('memory.used.bytes', virt_mem.used, 'gauge'))
        emit(feed, ('memory.used.percent', virt_mem.percent, 'gauge'))

        emit(feed, ('swap.used.bytes', swap_mem.used, 'gauge'))
        emit(feed, ('swap.used.percent', swap_mem.percent, 'gauge'))

        time.sleep(interval)